- [HTTP request](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/projects.locations.instances.webhooks/revokeUrl#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/projects.locations.instances.webhooks/revokeUrl#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/projects.locations.instances.webhooks/revokeUrl#body.request_body)
- [Response body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/projects.locations.instances.webhooks/revokeUrl#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/projects.locations.instances.webhooks/revokeUrl#body.RevokeUrlResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/projects.locations.instances.webhooks/revokeUrl#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/projects.locations.instances.webhooks/revokeUrl#body.aspect_1)

**Full name**: projects.locations.instances.webhooks.revokeUrl

Revokes the current URL for a specific webhook. This invalidates the existing API key and generates a new one, immediately stopping data ingestion through the old endpoint.

### HTTP request

`POST https://{endpoint}/v1beta/{name}:revokeUrl`

Where `{endpoint}` is one of the [supported service endpoints](https://docs.cloud.google.com/chronicle/docs/reference/rest#rest_endpoints).

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. The resource name of the Webhook to revoke the API key for. Format: projects/{project}/locations/{location}/instances/{instance}/webhooks/{webhook}:revokeUrl |

### Request body

The request body must be empty.

### Response body

Response message for webhooks.revokeUrl.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "postfix": string } ``` |

| Fields ||
|---|---|
| `postfix` | `string` Optional. The postfix URL returned after revocation. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `
  https://www.googleapis.com/auth/chronicle`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `name` resource:

- `chronicle.webhooks.update`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).